Bug 436028 - pm-utils is not a high enough version for hal
pm-utils is not a high enough version for hal
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pm-utils (Show other bugs)
5.1.z
All Linux
low Severity low
: rc
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-04 16:47 EST by Michael Gregg
Modified: 2015-03-04 20:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 04:38:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Gregg 2008-03-04 16:47:03 EST
Description of problem:
running yum update errors out because hal is requesting a version of pm-utils
greater than or equal to 0.99.3-6
I'm not sure if this is a pm-utils bug, a hal bug, or a rhn bug, but it will
probably get attention here.

Version-Release number of selected component (if applicable):
rhel 5 gold bits. 
joined to rhn, base channel is the 5.1.z channel.

How reproducible:
always

Steps to Reproduce:
1. configure a completely new rhel system from GOLD bits.
2. join the system to rhn.
3. change base channel to 5.1.z
4. run yum update
  
Actual results:
> yum -y update
Loading "installonlyn" plugin
Loading "rhnplugin" plugin
Setting up Update Process
Setting up repositories
rhel-x86_64-server-5.1.z 

--> Processing Dependency: pm-utils >= 0.99.3-6 for package: hal
--> Finished Dependency Resolution
Error: Missing Dependency: pm-utils >= 0.99.3-6 is needed by package hal

Expected results:
all dependencies to be resolved
Comment 1 Phil Knirsch 2008-04-11 06:42:17 EDT
You don't use RHEL-5.1 channel?

with brew i get the following info:

[pknirsch@hamburg tmp]$ brew latest-pkg RHEL-5.1-Z-candidate hal
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
hal-0.5.8.1-25.el5_1.1                    RHEL-5.1-Z            davidz
[pknirsch@hamburg tmp]$ brew latest-pkg RHEL-5.1-Z-candidate pm-utils
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
pm-utils-0.99.3-6.el5.17                  dist-5E-U1            pknirsch

So i'm a bit confused here what's missing.
Comment 2 Michael Gregg 2008-10-31 19:45:43 EDT
 
Best guess that this was some funky momentary error. 

It doesn't seem to be happening now. 

I'll close this bug as verified.

Note You need to log in before you can comment on or make changes to this bug.